Bug 1064986 - Replication retry time attributes cannot be added
Summary: Replication retry time attributes cannot be added
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: Viktor Ashirov
URL:
Whiteboard:
: 1081251 (view as bug list)
Depends On:
Blocks: 1113520
TreeView+ depends on / blocked
 
Reported: 2014-02-13 16:28 UTC by Milan Kubík
Modified: 2015-03-05 09:33 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Attempting to set the replication retry time values. Consequence: The operation is not allowed. Fix: Allow setting the replication retry times. Result: The maximum and minimum replication retry times can be set.
Clone Of:
Environment:
Last Closed: 2015-03-05 09:33:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Milan Kubík 2014-02-13 16:28:10 UTC
Description of problem:
The attributes nsds5ReplicaBackoffMin and nsds5ReplicaBackoffMax are refused by the directory server.

Version-Release number of selected component (if applicable):
389-ds-base-1.3.1.6-18.el7

How reproducible:
Always

Steps to Reproduce:
1. Set up a replica on a server.
2. Try to add either of the attributes.

Actual results:
Each of the attributes is refused with return code 53 - unwilling to perform.

NSMMReplicationPlugin - replica_config_modify: modification of attribute nsds5ReplicaBackoffMin is not allowed in replica entry
NSMMReplicationPlugin - replica_config_modify: modification of attribute nsds5ReplicaBackoffMax is not allowed in replica entry

Expected results:
Directory server accepts the attribute values.

Comment 3 mreynolds 2014-02-13 20:56:51 UTC
Fixed upstream.

Comment 4 Nathan Kinder 2014-03-25 18:03:04 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/525

Comment 5 Nathan Kinder 2014-03-26 21:49:56 UTC
*** Bug 1081251 has been marked as a duplicate of this bug. ***

Comment 8 Sankar Ramalingam 2014-11-25 09:00:18 UTC
[root@vm-idm-035 MMR_WINSYNC]# ldapmodify -x -p 1189 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=1189_to_1289_on_vm-idm-035.lab.eng.pnq.redhat.com,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5ReplicaBackoffMin
nsds5ReplicaBackoffMin: 30
EOF

modifying entry "cn=1189_to_1289_on_vm-idm-035.lab.eng.pnq.redhat.com,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config"
ldap_modify: Server is unwilling to perform (53)


[root@vm-idm-035 MMR_WINSYNC]# ldapmodify -x -p 1189 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=1189_to_1289_on_vm-idm-035.lab.eng.pnq.redhat.com,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5ReplicaBackoffMax
nsds5ReplicaBackoffMax: 30
EOF
modifying entry "cn=1189_to_1289_on_vm-idm-035.lab.eng.pnq.redhat.com,cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config"
ldap_modify: Server is unwilling to perform (53)


Seems like the issue is not fixed. I am still unable to add this attribute to the replica entry. Marking it as Assigned.

Comment 9 Sankar Ramalingam 2014-11-25 09:00:56 UTC
Build tested:
[root@vm-idm-035 ~]# rpm -qa 389-ds-base
389-ds-base-1.3.3.1-9.el7.x86_64

Comment 10 Sankar Ramalingam 2014-11-25 09:24:40 UTC
I am able to add attributes to cn=replica master entry.

[root@vm-idm-035 MMR_WINSYNC]# ldapmodify -x -p 1189 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
add: nsds5ReplicaBackoffMin
nsds5ReplicaBackoffMin: 30
EOF

modifying entry "cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config"

[root@vm-idm-035 MMR_WINSYNC]# ldapmodify -x -p 1189 -h localhost -D "cn=Directory Manager" -w Secret123 << EOF
dn: cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config
changetype: modify
add: nsds5ReplicaBackoffMax
nsds5ReplicaBackoffMax: 30
EOF

modifying entry "cn=replica,cn="dc=passsync,dc=com",cn=mapping tree,cn=config"

Comment 12 mreynolds 2014-12-08 15:40:15 UTC
The setting only applies to the replica config entry, not replication agreements.  So this looks correct.

Comment 14 errata-xmlrpc 2015-03-05 09:33:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.